#
# quick2.rb
#
# $Id: quick2.rb,v 1.1 2000/11/21 03:15:44 keiko Exp $
#

require "num/numarray"
require "num/dcl"

include Num::DCL
include Math


NMAX = 400
DT = PI/(NMAX-1)

x = NumArray.new(Float, NMAX)
y = NumArray.new(Float, NMAX)

#-- data ----
for n in 0..NMAX-1
  t = DT*n
  x[n] = 1.0e5*sin(6.0*t)
  y[n] = 1.0e-4*cos(14.0*t) + 1.0
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws
grfrm

usgrph(NMAX, x, y)

grcls

